
// Copyright 2015 ESRI
//
// All rights reserved under the copyright laws of the United States
// and applicable international laws, treaties, and conventions.
//
// You may freely redistribute and use this sample code, with or
// without modification, provided you include the original copyright
// notice and use restrictions.
//
// See the Sample code usage restrictions document for further information.
//

import QtQuick 2.3

Rectangle {
    property alias toggleButton: listToggleButton
    color: "#6495ED"

    Image {
        id: listToggleButton
        anchors {
            left: parent.left
            top: parent.top
            bottom: parent.bottom
            margins: 4
        }
        source: "qrc:/Resources/hamburger_icon.png"
        width: height

        MouseArea {
            anchors.fill: parent

            onClicked: {
                sideBar.toggle();
            }
        }
    }

    Text {
        id: titleText
        text: appWindow.title
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        width: parent.width
        anchors.fill: parent
        font {
            pixelSize: {
                if (!(Qt.platform.os === "android" || Qt.platform.os === "ios"))
                    26 * scaleFactor
                else
                    22 * scaleFactor
            }
        }
        color: "#F7F8F8"
        elide: Text.ElideRight
    }
}

